Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.middleware.execution
Class GridClassLoader

    java.lang.Object
      java.lang.ClassLoader
          lbg.middleware.execution.GridClassLoader

    public class GridClassLoader

extends java.lang.ClassLoader

Job/Task classes loader. This class can be used on the Resource to load everything need for an execution, but also on the User to make sure class loading will be OK on the Resource.

Since:
  2007-09-09
Author:
  Xavier Dalem

Constructor Summary
`GridClassLoader()`

Method Summary
`void` | `load(JobDescriptor jd)` Tries to load all Tasks from the Job description
`GridApplication` | `load(Task t)` Loads all classes required to run the Task, and creates the Application.

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridClassLoader

    public GridClassLoader()

Method Detail

### load

    public void load(JobDescriptor jd)
              throws GridException

  Tries to load all Tasks from the Job description

  Parameters:
    `jd` - The Job description
  Throws:
    `GridException`
  See Also:
    `load(Task)`

### load

    public GridApplication load(Task t)
                         throws GridException

  Loads all classes required to run the Task, and creates the Application.

  Throws:
    `GridException`
  To do:
    check dependency, and don't forget circular ones with a stack

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.